Create a benefit plan
curl --request POST \
--url https://api.plane.com/v1/benefit/plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"program": "<string>",
"provider": "<string>",
"name": "<string>",
"type": "<string>",
"coverages": [
{}
],
"country": {},
"network": {},
"status": "<string>",
"starts": {},
"ends": {},
"eligibility": {},
"contribution": {},
"terms": {},
"resources": {},
"metadata": {}
}
'import requests
url = "https://api.plane.com/v1/benefit/plans"
payload = {
"program": "<string>",
"provider": "<string>",
"name": "<string>",
"type": "<string>",
"coverages": [{}],
"country": {},
"network": {},
"status": "<string>",
"starts": {},
"ends": {},
"eligibility": {},
"contribution": {},
"terms": {},
"resources": {},
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
program: '<string>',
provider: '<string>',
name: '<string>',
type: '<string>',
coverages: [{}],
country: {},
network: {},
status: '<string>',
starts: {},
ends: {},
eligibility: {},
contribution: {},
terms: {},
resources: {},
metadata: {}
})
};
fetch('https://api.plane.com/v1/benefit/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"program": "bprog_R8mK2pQ9xL4s",
"provider": "benpr_8oWZpQ2rL4sk",
"name": "UnitedHealthcare PPO — Gold",
"type": "medical",
"coverages": ["employee_only", "family"]
}
{
"id": "benpl_V6nP3qR9tY2m",
"object": "benefit.plan",
"program": "bprog_R8mK2pQ9xL4s",
"provider": "benpr_8oWZpQ2rL4sk",
"entity": "ent_8oWZpQ2rL4sk",
"name": "UnitedHealthcare PPO — Gold",
"type": "medical",
"country": null,
"network": null,
"status": "draft",
"coverages": ["employee_only", "family"],
"eligibility": null,
"contribution": {},
"terms": {},
"resources": {},
"starts": null,
"ends": null,
"metadata": {},
"created": "2026-05-29T12:00:00Z",
"updated": "2026-05-29T12:00:00Z"
}
Plans
Create a benefit plan
Add a plan to a benefits program.
POST
/
v1
/
benefit
/
plans
Create a benefit plan
Parameters
string
required
ID of the program the plan belongs to.
string
required
ID of the carrier (benefit provider).
string
required
Human-readable plan name.
string
required
Benefit category. One of
medical, dental, vision, life, disability,
retirement, or other.array
Coverage tiers the plan offers, e.g.
["employee_only", "family"].string | null
ISO-3166 country the plan is offered in. Omit for a global plan.
string | null
Network name or type (e.g.
ppo, hmo).string
Plan status. One of
draft, active, or inactive. Defaults to draft.date | null
First day the plan is in effect.
date | null
Last day the plan is in effect.
string | null
CEL expression deciding which workers may elect this plan, evaluated against
the worker shape. Omit to offer it to anyone eligible for the program.
object
Employer cost-sharing policy, by coverage tier.
object
Display summary of plan terms.
object
Plan materials — links and document references.
object
Set of key-value pairs attached to the plan.
Returns
Returns the created Benefit plan object.{
"program": "bprog_R8mK2pQ9xL4s",
"provider": "benpr_8oWZpQ2rL4sk",
"name": "UnitedHealthcare PPO — Gold",
"type": "medical",
"coverages": ["employee_only", "family"]
}
{
"id": "benpl_V6nP3qR9tY2m",
"object": "benefit.plan",
"program": "bprog_R8mK2pQ9xL4s",
"provider": "benpr_8oWZpQ2rL4sk",
"entity": "ent_8oWZpQ2rL4sk",
"name": "UnitedHealthcare PPO — Gold",
"type": "medical",
"country": null,
"network": null,
"status": "draft",
"coverages": ["employee_only", "family"],
"eligibility": null,
"contribution": {},
"terms": {},
"resources": {},
"starts": null,
"ends": null,
"metadata": {},
"created": "2026-05-29T12:00:00Z",
"updated": "2026-05-29T12:00:00Z"
}
Was this page helpful?
⌘I